package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.PolicemanDto;
import com.junmp.jyzb.api.bean.query.CabinetReq;
import com.junmp.jyzb.api.bean.query.PolicemanReq;
import com.junmp.jyzb.api.bean.req.UpdatePolicemanReq;
import com.junmp.jyzb.entity.Policeman;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

public interface PolicemanService extends IService<Policeman> {

    //添加警员
    String AddPoliceman(UpdatePolicemanReq req);


    //获取单个警员信息
    PolicemanDto GetOnePolice(PolicemanReq req);


    //删除警员
    boolean DeletePolice(UpdatePolicemanReq req);


    //修改警员信息
    boolean UpdatePolice(UpdatePolicemanReq req);



    boolean AddFaceInfo(UpdatePolicemanReq req);


    //修改警员状态
    boolean ChangePoliceState(UpdatePolicemanReq req);


    //通过组织机构id查询警员列表(list)
    List<PolicemanDto> GetAllPolicemanList(PolicemanReq req);

    //通过组织机构id查询警员列表(page)
    PageResult<PolicemanDto> GetAllPolicemanPage(PolicemanReq req);

    //根据单警柜id查询警员列表(list)
    List<PolicemanDto> GetPoliceData(CabinetReq req);

    //根据单警柜id查询警员列表(page)
    PageResult<PolicemanDto> GetPoliceDataPage(CabinetReq req);

    boolean UpdateFaceInfo(UpdatePolicemanReq req);

    Policeman SearchFaceInfo(PolicemanReq req);


    boolean PoliceBindUser(PolicemanReq req);

    boolean PoliceBindBox(PolicemanReq req);


    //判断警员信息是否存在
    Policeman PoliceExist(String policeId);



}
